package com.brilliance.isc.mda.dao;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.Ecm;
import com.brilliance.isc.vo.EcmRequestVo;
import com.brilliance.isc.vo.EcmResponeVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface EcmMapper {

    int insert(Ecm record);

    int insertSelective(Ecm record);

    int updateByPrimaryKeySelective(Ecm record);

    int updateByPrimaryKey(Ecm record);

    int deleteByPrimaryKey(Ecm record);

    int deleteByIds(Collection<Object> collection);

    Ecm selectByPrimaryKey(Ecm record);

    Ecm selectByObjtypAndObjinr(Ecm record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Ecm> dyncRead(Map<String, Object> dyncMap);

    Ecm selectLastRecord(Ecm record);

    Ecm selectBySptinr(Ecm record);

    Ecm selectOneBySptinr(@Param("sptinr") String sptinr);

    Ecm selectOneByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    List<Ecm> selectByWyilsh(@Param("wyilsh") String wyilsh);

    List<EcmResponeVo> selectByCondition(EcmRequestVo ecmRequestVo);

    List<EcmResponeVo> selectByTypeCondition(EcmRequestVo ecmRequestVo);

    int updateStaByObjtypAndObjinr(@Param("sta") String sta, @Param("objtyp") String objtyp, @Param("objinr") String objinr);

}